Subject: Re: [patch iproute2 2/2] tc: add support for BPF based actions

From: Stephen Hemminger <[email-masked]>
Date: Tue, 13 Jan 2015 17:19:17 -0800

On Wed,  7 Jan 2015 17:47:24 +0100
Jiri Pirko <[email-masked]> wrote:

> Signed-off-by: Jiri Pirko <[email-masked]>
> ---
>  include/linux/tc_act/tc_bpf.h |  31 +++++++

The overall concept is fine, but the mechanics of file management
gets in the way.

All header files in the linux directory of iproute2 must come from sanitized
version of kernel headers that are in uapi/linux in the kernel source.

I take headers from 'make install_headers' and copy them over to keep
in sync. The headers for master branch are kept in sync with upstream
kernel (from Linus tree), and for net-next branch I derive them from Davem's
net-next tree.

If you want to use tc_bpf.h it has to be in upstream kernel first.

Sorry